import { Observable } from 'rxjs';
import { StoreDevtools } from '@ngrx/store-devtools';
import { LogEntryItem } from './log-entry-item';
export declare class NSLogMonitor {
    private devtools;
    items$: Observable<LogEntryItem[]>;
    canRevert$: Observable<boolean>;
    canSweep$: Observable<boolean>;
    canCommit$: Observable<boolean>;
    constructor(devtools: StoreDevtools);
    handleToggle(id: number): void;
    handleReset(): void;
    handleRollback(): void;
    handleSweep(): void;
    handleCommit(): void;
}
